package org.netkernel.layer0.urii;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.util.Utils;
import org.netkernel.request.IRequest;
import org.netkernel.request.IResponse;
import org.netkernel.urii.IEndpoint;
import org.netkernel.urii.ISpace;

public class ValueSpaceEndpoint implements IEndpoint
{
	public boolean isThreadSafe()
	{	return true;
	}

	public void onAsyncRequest(IRequest aRequest)
	{	ValueSpace ctx=(ValueSpace)aRequest.getRequestScope().getSpace();
		IResponse resp = ctx.getResponseFor(aRequest);
		aRequest.getRequestor().onResponse(resp);
	}

	public void onCommissionEndpoint(IKernel aKernel, ISpace aSpace) throws Exception
	{
	}

	public void onDecommissionEndpoint() throws Exception
	{
	}
	
	public String toString()
	{	return Utils.shortClassName(ValueSpaceEndpoint.class);
	}

}
